Start a password challenge
Checks the customer's password and opens a challenge bound to the current authorization.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/json
application/problem+json
curl -X POST "https://auth.ecomiq.pe/v1/customer-auth/password-challenges" \ -H "Content-Type: application/json" \ -d '{ "returnUrl": "https://mi-tienda.ecomiq.app/products/polo-de-algodon", "browserKey": "replace_with_your_browser_key", "email": "andrea.ramos@example.com", "password": "Example-Password-2026!", "captchaToken": "replace_with_the_issued_token" }'{ "challengeId": "7204558912004326731", "needsSecondFactor": false}